<?php
/*
Plugin Name: pdf2tab
Version: 2.4.a
Description: open pdf files in new tab instead of downloading it
Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=
Author: Julien1311
*/

//Check whether we are indeed included by Piwigo.
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('PDF2TAB_DIR' , basename(dirname(__FILE__)));

/* +-----------------------------------------------------------------------+
 * | Plugin code                                                          |
 * +-----------------------------------------------------------------------+ */
	
add_event_handler('loc_end_index_thumbnails', 'pdf2tab_thumbnails');

function pdf2tab_thumbnails($tpl_thumbnails_var) {
	global $template;

	$template->set_prefilter('index_thumbnails', 'pdf2tab_prefilter_thumbnails');
	
	$template->set_filename('pdf2tab_template', dirname(__FILE__).'/template/pdf2tab.tpl');
	$template->concat('PLUGIN_INDEX_CONTENT_END', $template->parse('pdf2tab_template', true));
	
	return $tpl_thumbnails_var;
}

function pdf2tab_prefilter_thumbnails($content, &$smarty) {
	global $template;

	$search = 'class="thumbnail"';
	
	$replacement = 'class="thumbnail" pdf2tab="{$thumbnail.path}"';
	$content= str_replace($search, $replacement, $content);

	return $content;
}
?>